radioButtons {shiny} | R Documentation

## Create radio buttons

### Description

Create a set of radio buttons used to select an item from a list.

### Usage

    radioButtons(inputId, label, choices, selected = NULL, inline = FALSE,
      width = NULL)

### Arguments

`inputId` | The `input` slot that will be used to access the value.
`label` | Display label for the control, or `NULL` for no label.
`choices` | List of values to select from (if elements of the list are named then that name rather than the value is displayed to the user)
`selected` | The initially selected value (if not specified then defaults to the first value)
`inline` | If `TRUE`, render the choices inline (i.e. horizontally)
`width` | The width of the input, e.g. `'400px'`, or `'100%'`; see `validateCssUnit`.

### Details

If you need to represent a "None selected" state, it's possible to default the radio buttons to have no options selected by using `selected = character(0)`. However, this is not recommended, as it gives the user no way to return to that state once they've made a selection. Instead, consider having the first of your choices be `c("None selected" = "")`.

### Value

A set of radio buttons that can be added to a UI definition.

### See Also

`updateRadioButtons`

Other input.elements: `actionButton`, `checkboxGroupInput`, `checkboxInput`, `dateInput`, `dateRangeInput`, `fileInput`, `numericInput`, `passwordInput`, `selectInput`, `sliderInput`, `submitButton`, `textAreaInput`, `textInput`

### Examples

    ## Only run examples in interactive R sessions
    if (interactive()) {

    ui <- fluidPage(
      radioButtons("dist", "Distribution type:",
                   c("Normal" = "norm",
                     "Uniform" = "unif",
                     "Log-normal" = "lnorm",
                     "Exponential" = "exp")),
      plotOutput("distPlot")
    )

    server <- function(input, output) {
      output$distPlot <- renderPlot({
        dist <- switch(input$dist,
                       norm = rnorm,
                       unif = runif,
                       lnorm = rlnorm,
                       exp = rexp,
                       rnorm)

        hist(dist(500))
      })
    }

    shinyApp(ui, server)
    }

[Package shiny version 0.14.2 Index]